/**
 * Copyright (C) 2002
 */

package org.objectweb.util.monolog.wrapper.common;

import java.util.Enumeration;

/**
 * This tools class is a basic implementation of the java.util.Enumeration.
 * This implementation is based on an object array.
 *
 * @author Sebastien Chassande-Barrioz
 */
public class EnumrationImpl implements Enumeration {

	protected Object[] objs = null;

	protected int pos;

	public EnumrationImpl(Object[] os) {
		objs = (os==null ? new Object[0] : os);
		pos = 0;
	}

	public boolean hasMoreElements() {
		return pos<objs.length;
	}

	public Object nextElement() {
		return objs[pos++];
	}
}
